Get All Environments V2 Using GET
Get all Environments
Request
URI
GET
https://{api_host}//lcm-15-95.eng.vmware.com/lcm/lcops/api/v2/environments
COPY
Query Parameters
string
status
Optional
status
Responses
200
OK
Returns
Array of
EnvironmentRequestDTO
of type(s)
application/json
[
{
"environmentHealth": "string",
"environmentId": "string",
"environmentName": "string",
"environmentStatus": "string",
"infrastructure": {},
"logHistory": "string",
"products": [
{
"clusterVIP": {
"clusterVips": [
{
"type": "string"
}
]
},
"id": "string",
"logHistory": "string",
"nodes": [
{
"type": "string"
}
],
"patchHistory": "string",
"snapshotHistory": "string",
"version": "string"
}
]
}
]
401
Unauthorized
Operation doesn't return any data structure
403
Forbidden
Operation doesn't return any data structure
404
Not Found
Operation doesn't return any data structure
500
Internal Server Error
Returns
GenericErrorResponseDTO
of type(s)
application/json
{
"errorCode": "string",
"errorLabel": "string",
"message": "string",
"recommendations": [
"string"
],
"status": "string"
}
string
errorCode
Optional
errorCode
string
errorLabel
Optional
errorLabel
string
message
Optional
message
array of
string
recommendations
Optional
recommendations
string
status
Optional
status
Environment Controller Operations
POST
Add Node V2 Using POST
POST
Add Product V2 Using POST
POST
Create Environment V2 Using POST
DELETE
Delete Environment V2 Using DELETE
GET
Get All Environments V2 Using GET
GET
Get Environment By Id Or Name V2 Using GET
POST
Toggle Health Check V2 Using POST
POST
Trigger Health Check V2 Using POST
POST
Trigger Inventory Sync For All Environments V2 Using POST
POST
Trigger Inventory Sync For Environment V2 Using POST
PATCH
Update Environment Name Using PATCH
POST
Validate Environment V2 Using POST